# Uses of Class
org.eclipse.e4.ui.model.application.ui.menu.impl.MenuPackageImpl

Packages that use MenuPackageImpl
Package
Description
org.eclipse.e4.ui.model.application.ui.menu.impl
org.eclipse.e4.ui.model.application.ui.menu.util

## Uses of MenuPackageImpl in org.eclipse.e4.ui.model.application.ui.menu.impl

Fields in org.eclipse.e4.ui.model.application.ui.menu.impl declared as MenuPackageImpl
Modifier and Type
Field
Description
`static final MenuPackageImpl`
MenuPackageImpl.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return MenuPackageImpl
Modifier and Type
Method
Description
`MenuPackageImpl`
MenuFactoryImpl.`getMenuPackage()`
`static MenuPackageImpl`
MenuPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of MenuPackageImpl in org.eclipse.e4.ui.model.application.ui.menu.util

Fields in org.eclipse.e4.ui.model.application.ui.menu.util declared as MenuPackageImpl
Modifier and Type
Field
Description
`protected static MenuPackageImpl`
MenuAdapterFactory.`modelPackage`
The cached model package.
`protected static MenuPackageImpl`
MenuSwitch.`modelPackage`
The cached model package